# Uses of Class
org.snpeff.SnpEff

Packages that use SnpEff
Package
Description
org.snpeff
org.snpeff.snpEffect.commandLine
org.snpeff.spliceSites

## Uses of SnpEff in org.snpeff

Fields in org.snpeff declared as SnpEff
Modifier and Type
Field
Description
`protected SnpEff`
SnpEff.`snpEffCmd`
Methods in org.snpeff that return SnpEff
Modifier and Type
Method
Description
`SnpEff`
SnpEff.`cmd()`
Create an appropriate SnpEffCmd* object
Methods in org.snpeff with parameters of type SnpEff
Modifier and Type
Method
Description
`protected boolean`
SnpEff.`run(SnpEff snpEff, String[] args, StringBuilder err)`
Run a SnpEff (usually a sub-class)

## Uses of SnpEff in org.snpeff.snpEffect.commandLine

Subclasses of SnpEff in org.snpeff.snpEffect.commandLine
Modifier and Type
Class
Description
`class`
`SnpEffCmdAcat`
ACAT: Create ACAT score for T2D project Note: This is just used to compile 'ACAT' score in T2D-GENES project, not useful at all for general audience.
`class`
`SnpEffCmdBuild`
Command line program: Build database
`class`
`SnpEffCmdBuildNextProt`
Parse NetxProt XML file and build a database http://www.nextprot.org/
`class`
`SnpEffCmdCds`
Command line: Calculate coding sequences from a file and compare them to the ones calculated from our data structures
`class`
`SnpEffCmdClosest`
Command line: Find closes marker to each variant
`class`
`SnpEffCmdCount`
Count reads from a BAM file given a list of intervals
`class`
`SnpEffCmdDatabases`
Show all databases configures in snpEff.config Create an HTML 'download' table based on the config file Also creates a list of genome for Galaxy menu
`class`
`SnpEffCmdDownload`
Command line program: Download and install a (pre built) database
`class`
`SnpEffCmdDump`
Command line program: Build database
`class`
`SnpEffCmdEff`
Command line program: Predict variant effects
`class`
`SnpEffCmdGenes2Bed`
Simple test program
`class`
`SnpEffCmdGsa`
Command line: Gene-Sets Analysis Perform gene set analysys
`class`
`SnpEffCmdLen`
Calculate the maximum interval length by type, for all markers in a genome
`class`
`SnpEffCmdPdb`
PDB distance analysis
`class`
`SnpEffCmdProtein`
Command line: Read protein sequences from a file and compare them to the ones calculated from our data structures Note: This is done in order to see potential incompatibility errors between genome sequence and annotation.
`class`
`SnpEffCmdSeq`
Command line program: Show a transcript or a gene
`class`
`SnpEffCmdShow`
Command line program: Show a transcript or a gene
`class`
`SnpEffCmdTranslocationsReport`
Create an SVG representation of a Marker

## Uses of SnpEff in org.snpeff.spliceSites

Subclasses of SnpEff in org.snpeff.spliceSites
Modifier and Type
Class
Description
`class`
`SnpEffCmdSpliceAnalysis`
Analyze sequences from splice sites